Problema com atualizações [RESOLVIDO]

1. Problema com atualizações [RESOLVIDO]

Thiago Giroto Milani
thiagogmilani

(usa Debian)

Enviado em 09/11/2015 - 22:15h

Boa Noite, estou com um problema para efetuar atualizações no meu servidor Linux,

estou utilizando a versão do linux Zentyal 4.o e não estou conseguindo atualizar ele.

quando dou o apt-get update e o apt-get upgrade aparece essa msg:
root@lasvegas:/home/pmsg# apt-get upgrade
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Você pode querer executar 'apt-get -f install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
linux-image-extra-3.13.0-57-generic : Depende: linux-image-3.13.0-57-generic mas não está instalado
linux-image-extra-3.13.0-61-generic : Depende: linux-image-3.13.0-61-generic mas não está instalado
linux-image-extra-3.13.0-63-generic : Depende: linux-image-3.13.0-63-generic mas não está instalado
linux-image-extra-3.13.0-65-generic : Depende: linux-image-3.13.0-65-generic mas não está instalado
linux-image-extra-3.13.0-67-generic : Depende: linux-image-3.13.0-67-generic mas não está instalado
linux-image-generic : Depende: linux-image-3.13.0-67-generic mas não está instalado
E: Dependências desencontradas. Tente usar -f.
root@lasvegas:/home/pmsg#

e quando dou o apt-get -f install como é solicitado aparece a msgn:

root@lasvegas:/home/pmsg# apt-get -f install
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
libtree-perl linux-headers-3.13.0-39 linux-headers-3.13.0-39-generic
linux-headers-3.13.0-46 linux-headers-3.13.0-46-generic
linux-headers-3.13.0-48 linux-headers-3.13.0-48-generic
linux-headers-3.13.0-49 linux-headers-3.13.0-49-generic
linux-headers-3.13.0-51 linux-headers-3.13.0-51-generic
linux-headers-3.13.0-52 linux-headers-3.13.0-52-generic
linux-headers-3.13.0-54 linux-headers-3.13.0-54-generic
linux-headers-3.13.0-57 linux-headers-3.13.0-57-generic
linux-headers-3.13.0-61 linux-headers-3.13.0-61-generic
linux-headers-3.13.0-63 linux-headers-3.13.0-63-generic
linux-headers-3.13.0-65 linux-headers-3.13.0-65-generic
linux-image-3.13.0-39-generic linux-image-3.13.0-46-generic
linux-image-3.13.0-48-generic linux-image-3.13.0-49-generic
linux-image-3.13.0-51-generic linux-image-3.13.0-52-generic
linux-image-3.13.0-54-generic linux-image-3.13.0-57-generic
linux-image-3.13.0-61-generic linux-image-3.13.0-63-generic
linux-image-3.13.0-65-generic linux-image-extra-3.13.0-39-generic
linux-image-extra-3.13.0-46-generic linux-image-extra-3.13.0-48-generic
linux-image-extra-3.13.0-49-generic linux-image-extra-3.13.0-51-generic
linux-image-extra-3.13.0-52-generic linux-image-extra-3.13.0-54-generic
linux-image-extra-3.13.0-57-generic linux-image-extra-3.13.0-61-generic
linux-image-extra-3.13.0-63-generic linux-image-extra-3.13.0-65-generic
Utilize 'apt-get autoremove' para os remover.
Os pacotes extra a seguir serão instalados:
linux-image-3.13.0-57-generic linux-image-3.13.0-61-generic
linux-image-3.13.0-63-generic linux-image-3.13.0-65-generic
linux-image-3.13.0-67-generic
Pacotes sugeridos:
fdutils linux-doc-3.13.0 linux-source-3.13.0 linux-tools
Os NOVOS pacotes a seguir serão instalados:
linux-image-3.13.0-57-generic linux-image-3.13.0-61-generic
linux-image-3.13.0-63-generic linux-image-3.13.0-65-generic
linux-image-3.13.0-67-generic
0 pacotes atualizados, 5 pacotes novos instalados, 0 a serem removidos e 110 não atualizados.
15 pacotes não totalmente instalados ou removidos.
É preciso baixar 0 B/76,0 MB de arquivos.
Depois desta operação, 212 MB adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] s
(Lendo banco de dados ... 466493 ficheiros e directórios actualmente instalados.)
Preparing to unpack .../linux-image-3.13.0-67-generic_3.13.0-67.110_amd64.deb ...
Done.
Unpacking linux-image-3.13.0-67-generic (3.13.0-67.110) ...
dpkg: error processing archive /var/cache/apt/archives/linux-image-3.13.0-67-generic_3.13.0-67.110_amd64.deb (--unpack):
não pode copiar dados extráidos para './boot/vmlinuz-3.13.0-67-generic' para '/boot/vmlinuz-3.13.0-67-generic.dpkg-new': falhou a escrita (No space left on device)
Nenhum relatório apport escrito pois a mensagem de erro indica erro de disco cheio
dpkg-deb: erro: o subprocesso colar foi morto pelo sinal (Broken pipe)
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.13.0-67-generic /boot/vmlinuz-3.13.0-67-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.13.0-67-generic /boot/vmlinuz-3.13.0-67-generic
Preparing to unpack .../linux-image-3.13.0-57-generic_3.13.0-57.95_amd64.deb ...
Done.
Unpacking linux-image-3.13.0-57-generic (3.13.0-57.95) ...
dpkg: error processing archive /var/cache/apt/archives/linux-image-3.13.0-57-generic_3.13.0-57.95_amd64.deb (--unpack):
não pode copiar dados extráidos para './boot/System.map-3.13.0-57-generic' para '/boot/System.map-3.13.0-57-generic.dpkg-new': falhou a escrita (No space left on device)
Nenhum relatório apport escrito pois a mensagem de erro indica erro de disco cheio
dpkg-deb: erro: o subprocesso colar foi morto pelo sinal (Broken pipe)
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.13.0-57-generic /boot/vmlinuz-3.13.0-57-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.13.0-57-generic /boot/vmlinuz-3.13.0-57-generic
Preparing to unpack .../linux-image-3.13.0-61-generic_3.13.0-61.100_amd64.deb ...
Done.
Unpacking linux-image-3.13.0-61-generic (3.13.0-61.100) ...
dpkg: error processing archive /var/cache/apt/archives/linux-image-3.13.0-61-generic_3.13.0-61.100_amd64.deb (--unpack):
não pode copiar dados extráidos para './boot/vmlinuz-3.13.0-61-generic' para '/boot/vmlinuz-3.13.0-61-generic.dpkg-new': falhou a escrita (No space left on device)
Nenhum relatório apport escrito pois a mensagem de erro indica erro de disco cheio
dpkg-deb: erro: o subprocesso colar foi morto pelo sinal (Broken pipe)
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.13.0-61-generic /boot/vmlinuz-3.13.0-61-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.13.0-61-generic /boot/vmlinuz-3.13.0-61-generic
Preparing to unpack .../linux-image-3.13.0-63-generic_3.13.0-63.103_amd64.deb ...
Done.
Unpacking linux-image-3.13.0-63-generic (3.13.0-63.103) ...
dpkg: error processing archive /var/cache/apt/archives/linux-image-3.13.0-63-generic_3.13.0-63.103_amd64.deb (--unpack):
não pode copiar dados extráidos para './boot/vmlinuz-3.13.0-63-generic' para '/boot/vmlinuz-3.13.0-63-generic.dpkg-new': falhou a escrita (No space left on device)
Nenhum relatório apport escrito pois MaxReports já foi atingido
dpkg-deb: erro: o subprocesso colar foi morto pelo sinal (Broken pipe)
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.13.0-63-generic /boot/vmlinuz-3.13.0-63-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.13.0-63-generic /boot/vmlinuz-3.13.0-63-generic
Preparing to unpack .../linux-image-3.13.0-65-generic_3.13.0-65.106_amd64.deb ...
Done.
Unpacking linux-image-3.13.0-65-generic (3.13.0-65.106) ...
dpkg: error processing archive /var/cache/apt/archives/linux-image-3.13.0-65-generic_3.13.0-65.106_amd64.deb (--unpack):
não pode copiar dados extráidos para './boot/System.map-3.13.0-65-generic' para '/boot/System.map-3.13.0-65-generic.dpkg-new': falhou a escrita (No space left on device)
Nenhum relatório apport escrito pois MaxReports já foi atingido
dpkg-deb: erro: o subprocesso colar foi morto pelo sinal (Broken pipe)
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.13.0-65-generic /boot/vmlinuz-3.13.0-65-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.13.0-65-generic /boot/vmlinuz-3.13.0-65-generic
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/linux-image-3.13.0-67-generic_3.13.0-67.110_amd64.deb
/var/cache/apt/archives/linux-image-3.13.0-57-generic_3.13.0-57.95_amd64.deb
/var/cache/apt/archives/linux-image-3.13.0-61-generic_3.13.0-61.100_amd64.deb
/var/cache/apt/archives/linux-image-3.13.0-63-generic_3.13.0-63.103_amd64.deb
/var/cache/apt/archives/linux-image-3.13.0-65-generic_3.13.0-65.106_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@lasvegas:/home/pmsg#

como posso resolver isso? pois preciso atualizar o sistema e todos as aplicações que estão rodando nele.
estou na versão do kernel:4.0.9



  


2. Re: Problema com atualizações [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 09/11/2015 - 22:30h

"Nenhum relatório apport escrito pois a mensagem de erro indica erro de disco cheio" 


A mensagem de erro já diz tudo. Confira seu espaço em disco, e veja se isso corresponde a realidade!

$ df -h


3. Re: Problema com atualizações [RESOLVIDO]

Thiago Giroto Milani
thiagogmilani

(usa Debian)

Enviado em 09/11/2015 - 23:26h

Obrigado, realmente não havia percebido isso,

ele está dando a seguinte msn quando executo o comando:

Filesystem Size Used Avail Use% Mounted on
/dev/mapper/LASVEGAS--vg-root 909G 31G 832G 4% /
none 4,0K 0 4,0K 0% /sys/fs/cgroup
udev 7,8G 4,0K 7,8G 1% /dev
tmpfs 1,6G 784K 1,6G 1% /run
none 50M 0 50M 0% /run/lock
none 7,8G 0 7,8G 0% /run/shm
none 100M 0 100M 0% /run/user
/dev/sda1 236M 232M 0 100% /boot

como resolvo? pois preciso atualizar ele...

como re organizo as partições?



4. Re: Problema com atualizações [RESOLVIDO]

tiago k pereira
koppix

(usa Funtoo)

Enviado em 09/11/2015 - 23:44h

thiagogmilani escreveu:

Boa Noite, estou com um problema para efetuar atualizações no meu servidor Linux,

estou utilizando a versão do linux Zentyal 4.o e não estou conseguindo atualizar ele.

quando dou o apt-get update e o apt-get upgrade aparece essa msg:
root@lasvegas:/home/pmsg# apt-get upgrade
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Você pode querer executar 'apt-get -f install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
linux-image-extra-3.13.0-57-generic : Depende: linux-image-3.13.0-57-generic mas não está instalado
linux-image-extra-3.13.0-61-generic : Depende: linux-image-3.13.0-61-generic mas não está instalado
linux-image-extra-3.13.0-63-generic : Depende: linux-image-3.13.0-63-generic mas não está instalado
linux-image-extra-3.13.0-65-generic : Depende: linux-image-3.13.0-65-generic mas não está instalado
linux-image-extra-3.13.0-67-generic : Depende: linux-image-3.13.0-67-generic mas não está instalado
linux-image-generic : Depende: linux-image-3.13.0-67-generic mas não está instalado
E: Dependências desencontradas. Tente usar -f.
root@lasvegas:/home/pmsg#

e quando dou o apt-get -f install como é solicitado aparece a msgn:

root@lasvegas:/home/pmsg# apt-get -f install
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
libtree-perl linux-headers-3.13.0-39 linux-headers-3.13.0-39-generic
linux-headers-3.13.0-46 linux-headers-3.13.0-46-generic
linux-headers-3.13.0-48 linux-headers-3.13.0-48-generic
linux-headers-3.13.0-49 linux-headers-3.13.0-49-generic
linux-headers-3.13.0-51 linux-headers-3.13.0-51-generic
linux-headers-3.13.0-52 linux-headers-3.13.0-52-generic
linux-headers-3.13.0-54 linux-headers-3.13.0-54-generic
linux-headers-3.13.0-57 linux-headers-3.13.0-57-generic
linux-headers-3.13.0-61 linux-headers-3.13.0-61-generic
linux-headers-3.13.0-63 linux-headers-3.13.0-63-generic
linux-headers-3.13.0-65 linux-headers-3.13.0-65-generic
linux-image-3.13.0-39-generic linux-image-3.13.0-46-generic
linux-image-3.13.0-48-generic linux-image-3.13.0-49-generic
linux-image-3.13.0-51-generic linux-image-3.13.0-52-generic
linux-image-3.13.0-54-generic linux-image-3.13.0-57-generic
linux-image-3.13.0-61-generic linux-image-3.13.0-63-generic
linux-image-3.13.0-65-generic linux-image-extra-3.13.0-39-generic
linux-image-extra-3.13.0-46-generic linux-image-extra-3.13.0-48-generic
linux-image-extra-3.13.0-49-generic linux-image-extra-3.13.0-51-generic
linux-image-extra-3.13.0-52-generic linux-image-extra-3.13.0-54-generic
linux-image-extra-3.13.0-57-generic linux-image-extra-3.13.0-61-generic
linux-image-extra-3.13.0-63-generic linux-image-extra-3.13.0-65-generic
Utilize 'apt-get autoremove' para os remover.


Isso provavelmente vai liberar espaço.
Só preste atenção se não vai excluir todos os kerneis e ai vc não consegue mais dar boot.




5. Re: Problema com atualizações [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 10/11/2015 - 00:41h

Apagar cache apt:
# apt-get clean

Remover pacotes desnecessários:
# apt-get autoremove

Remover kernels antigos:
http://www.vivaolinux.com.br/dica/Deletar-kernel-antigo-para-nao-aparecer-no-GRUB2

Apagar logs:
http://www.vivaolinux.com.br/dica/Limpou-logs-limpou-apt-limpou-tudo-que-podia-e-o-espaco-em-disco-e...

Remover pacotes de idiomas:
http://www.vivaolinux.com.br/dica/Liberando-espaco-em-disco-com-o-localepurge

Mais coisas:
http://www.vivaolinux.com.br/dica/Suas-particoes-Linux-encheram-Nao-tem-mais-espaco-Veja-o-que-voce-...

E instale o bleachbit, um programa para "limpezas" em geral.

;-)


6. Re: Problema com atualizações [RESOLVIDO]

Thiago Giroto Milani
thiagogmilani

(usa Debian)

Enviado em 10/11/2015 - 11:44h

Obrigado pelas dicas, mais ainda está dando erro...

Eu executei os comandos que passaram e ainda da erro em 2 pacotes.


executei o
#apt-get clean
#apt-get -f autoremove

e ele apresentou uma outra mensagem de erro:

root@lasvegas:/home/pmsg# apt-get -f autoremove
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os pacotes extra a seguir serão instalados:
linux-image-3.13.0-54-generic linux-image-3.13.0-67-generic
Pacotes sugeridos:
fdutils linux-doc-3.13.0 linux-source-3.13.0 linux-tools
Os NOVOS pacotes a seguir serão instalados:
linux-image-3.13.0-54-generic linux-image-3.13.0-67-generic
0 pacotes atualizados, 2 pacotes novos instalados, 0 a serem removidos e 110 não atualizados.
8 pacotes não totalmente instalados ou removidos.
É preciso baixar 67,2 MB de arquivos.
Depois desta operação, 85,0 MB adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] s
Obter:1 http://br.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-image-3.13.0-67-generic amd64 3.13.0-67.110 [15,2 MB]
Obter:2 http://br.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-image-3.13.0-54-generic amd64 3.13.0-54.91 [15,2 MB]
Obter:3 http://br.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-image-extra-3.13.0-54-generic amd64 3.13.0-54.91 [36,8 MB]
Baixados 67,2 MB em 15s (4.224 kB/s)
(Lendo banco de dados ... 420593 ficheiros e directórios actualmente instalados.)
Preparing to unpack .../linux-image-3.13.0-67-generic_3.13.0-67.110_amd64.deb ...
Done.
Unpacking linux-image-3.13.0-67-generic (3.13.0-67.110) ...
dpkg: error processing archive /var/cache/apt/archives/linux-image-3.13.0-67-generic_3.13.0-67.110_amd64.deb (--unpack):
não pode copiar dados extráidos para './boot/vmlinuz-3.13.0-67-generic' para '/boot/vmlinuz-3.13.0-67-generic.dpkg-new': falhou a escrita (No space left on device)
Nenhum relatório apport escrito pois a mensagem de erro indica erro de disco cheio
dpkg-deb: erro: o subprocesso colar foi morto pelo sinal (Broken pipe)
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.13.0-67-generic /boot/vmlinuz-3.13.0-67-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.13.0-67-generic /boot/vmlinuz-3.13.0-67-generic
Preparing to unpack .../linux-image-3.13.0-54-generic_3.13.0-54.91_amd64.deb ...
Done.
Unpacking linux-image-3.13.0-54-generic (3.13.0-54.91) ...
dpkg: error processing archive /var/cache/apt/archives/linux-image-3.13.0-54-generic_3.13.0-54.91_amd64.deb (--unpack):
não pode copiar dados extráidos para './boot/System.map-3.13.0-54-generic' para '/boot/System.map-3.13.0-54-generic.dpkg-new': falhou a escrita (No space left on device)
Nenhum relatório apport escrito pois a mensagem de erro indica erro de disco cheio
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.13.0-54-generic /boot/vmlinuz-3.13.0-54-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.13.0-54-generic /boot/vmlinuz-3.13.0-54-generic
dpkg-deb: erro: o subprocesso colar foi morto pelo sinal (Broken pipe)
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/linux-image-3.13.0-67-generic_3.13.0-67.110_amd64.deb
/var/cache/apt/archives/linux-image-3.13.0-54-generic_3.13.0-54.91_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


7. Re: Problema com atualizações [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 10/11/2015 - 12:38h

Remova os kernels antigos, deixe apenas o mais recente:
http://www.vivaolinux.com.br/dica/Deletar-kernel-antigo-para-nao-aparecer-no-GRUB2


8. Re: Problema com atualizações [RESOLVIDO]

Thiago Giroto Milani
thiagogmilani

(usa Debian)

Enviado em 10/11/2015 - 14:02h


mais é isso que estou tentando fazer, e não estou conseguindo.

quando tento o comando

# sudo apt-get remove --purge linux-image-3.13.0-39-generic

ele aparece a seguinte msgn:
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Você deve querer executar 'apt-get -f install' para corrigí-los:
Os pacotes a seguir têm dependências desencontradas:
linux-image-extra-3.13.0-39-generic : Depende: linux-image-3.13.0-39-generic mas não será instalado
linux-image-extra-3.13.0-67-generic : Depende: linux-image-3.13.0-67-generic mas não será instalado
linux-image-extra-3.13.0-68-generic : Depende: linux-image-3.13.0-68-generic mas não será instalado
linux-image-generic : Depende: linux-image-3.13.0-68-generic mas não será instalado
E: Dependências desencontradas. Tente 'apt-get -f install' sem nenhum pacote (ou especifique uma solução).


ele não me deixa excluir os kernel antigos e deixar apenas o mais recente.
e ja tentei executar o apt-get -f install e também da erro de espaço,
se eu aumentar o espaço em disco da partição não resolveria? ai depois excluo o que é antigo.

como faço para reorganizar o tamanho de cada partição?



9. Re: Problema com atualizações [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 10/11/2015 - 14:17h

Use o Gparted para redimensionar as partições. Para isso vc deve iniciar o Linux em modo live a partir de um CD/DVD ou pendrive. Tire um print e poste aqui para vermos como está.



10. Re: Problema com atualizações [RESOLVIDO]

Thiago Giroto Milani
thiagogmilani

(usa Debian)

Enviado em 08/12/2015 - 20:44h


Obrigado pela ajuda de todos, mais infelizmente deu problema e tive que re-instalar o sistema todo e acabou resolvendo...

obrigado a todos...







Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts